How to change java when X-Pack is not supported and Machine Learning is not available for [windows-x86]?

machine-learning

#1

Hi there,

I'm trying Elasticseach 6.5.2 on Windows 10 following this link but I have a problem with X-Pack and Machine Learning.

When I start elasticsearch.bat file , I have an exception :

(base) C:\Users\antoi\Documents\elasticsearch-6.5.2\bin>elasticsearch.bat
[2018-12-06T12:53:55,829][INFO ][o.e.e.NodeEnvironment ] [FzqJAyz] using [1] data paths, mounts [[(C:)]], net usable_space [813.1gb], net total_space [930.9gb], types [NTFS]
[2018-12-06T12:53:55,837][INFO ][o.e.e.NodeEnvironment ] [FzqJAyz] heap size [998.4mb], compressed ordinary object pointers [unknown]
[2018-12-06T12:53:55,847][INFO ][o.e.n.Node ] [FzqJAyz] node name derived from node ID [FzqJAyziRSKWyjwbNq5JPA]; set [node.name] to override
[2018-12-06T12:53:55,848][INFO ][o.e.n.Node ] [FzqJAyz] version[6.5.2], pid[11320], build[default/zip/9434bed/2018-11-29T23:58:20.891072Z], OS[Windows 10/10.0/x86], JVM[Oracle Corporation/Java HotSpot(TM) Client VM/1.8.0_191/25.191-b12]
...
[2018-12-06T12:54:07,684][INFO ][o.e.p.PluginsService ] [FzqJAyz] no plugins loaded
[2018-12-06T12:54:18,905][INFO ][o.e.x.s.a.s.FileRolesStore] [FzqJAyz] parsed [0] roles from file [C:\Users\antoi\Documents\elasticsearch-6.5.2\config\roles.yml]
[2018-12-06T12:54:20,984][WARN ][o.e.b.ElasticsearchUncaughtExceptionHandler] [FzqJAyz] uncaught exception in thread [main]
org.elasticsearch.bootstrap.StartupException: ElasticsearchException[X-Pack is not supported and Machine Learning is not available for [windows-x86]; you can use the other X-Pack features (unsupported) by setting xpack.ml.enabled: false in elasticsearch.yml]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:140) ~[elasticsearch-6.5.2.jar:6.5.2]
at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:127) ~[elasticsearch-6.5.2.jar:6.5.2]
at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.5.2.jar:6.5.2]
at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.5.2.jar:6.5.2]
at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.5.2.jar:6.5.2]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.5.2.jar:6.5.2]
at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:86) ~[elasticsearch-6.5.2.jar:6.5.2]
Caused by: org.elasticsearch.ElasticsearchException: X-Pack is not supported and Machine Learning is not available for [windows-x86]; you can use the other X-Pack features (unsupported) by setting xpack.ml.enabled: false in elasticsearch.yml
at org.elasticsearch.xpack.ml.MachineLearningFeatureSet.isRunningOnMlPlatform(MachineLearningFeatureSet.java:104) ~[?:?]
at org.elasticsearch.xpack.ml.MachineLearningFeatureSet.isRunningOnMlPlatform(MachineLearningFeatureSet.java:95) ~[?:?]
at org.elasticsearch.xpack.ml.MachineLearning.createComponents(MachineLearning.java:382) ~[?:?]
at org.elasticsearch.node.Node.lambda$new$11(Node.java:472) ~[elasticsearch-6.5.2.jar:6.5.2]
at java.util.stream.ReferencePipeline$7$1.accept(Unknown Source) ~[?:1.8.0_191]
at java.util.ArrayList$ArrayListSpliterator.forEachRemaining(Unknown Source) ~[?:1.8.0_191]
at java.util.stream.AbstractPipeline.copyInto(Unknown Source) ~[?:1.8.0_191]
at java.util.stream.AbstractPipeline.wrapAndCopyInto(Unknown Source) ~[?:1.8.0_191]
at java.util.stream.ReduceOps$ReduceOp.evaluateSequential(Unknown Source) ~[?:1.8.0_191]
at java.util.stream.AbstractPipeline.evaluate(Unknown Source) ~[?:1.8.0_191]
at java.util.stream.ReferencePipeline.collect(Unknown Source) ~[?:1.8.0_191]
at org.elasticsearch.node.Node.(Node.java:475) ~[elasticsearch-6.5.2.jar:6.5.2]
at org.elasticsearch.node.Node.(Node.java:265) ~[elasticsearch-6.5.2.jar:6.5.2]
at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.5.2.jar:6.5.2]
at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.5.2.jar:6.5.2]
at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.5.2.jar:6.5.2]
at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:136) ~[elasticsearch-6.5.2.jar:6.5.2]
... 6 more

It seems it is an issue already faced by Pierre Charpentier but if he found a way to change his default Java version on java.com from32 bit to 64
I neither know if my version is 32 nor how to change it if it is the case.


(rich collier) #2

https://java.com/en/download/help/version_manual.xml